## org.eclipse.datatools.modelbase.sql.query.impl
Class QueryValueExpressionImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QueryValueExpressionImpl

All Implemented Interfaces:
  QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression

Direct Known Subclasses:
  ValueExpressionAtomicImpl, ValueExpressionCombinedImpl, ValueExpressionNestedImpl, XMLAttributeDeclarationItemImpl, XMLQueryArgumentItemImpl, XMLSerializeFunctionTargetImpl, XMLTableColumnDefinitionDefaultImpl, XMLValueFunctionCommentContentImpl, XMLValueFunctionConcatContentItemImpl, XMLValueFunctionDocumentContentImpl, XMLValueFunctionElementContentItemImpl, XMLValueFunctionForestContentItemImpl, XMLValueFunctionParseContentImpl, XMLValueFunctionPIContentImpl, XMLValueFunctionTextContentImpl, XMLValueFunctionValidateContentImpl

public abstract class QueryValueExpressionImpl
extends SQLQueryObjectImpl
implements QueryValueExpression

An implementation of the model object 'SQL Value Expression'.

The following features are implemented:

- `Unary Operator`
- `Data Type`
- `Values Row`
- `Order By Value Expr`
- `Result Column`
- `Basic Right`
- `Basic Left`
- `Like Pattern`
- `Like Matching`
- `Predicate Null`
- `In Value List Right`
- `In Value List Left`
- `In Value Row Select Left`
- `In Value Select Left`
- `Quantified Row Select Left`
- `Quantified Value Select Left`
- `Between Left`
- `Between Right1`
- `Between Right2`
- `Value Expr Cast`
- `Value Expr Function`
- `Value Expr Combined Left`
- `Value Expr Combined Right`
- `Grouping Expr`
- `Value Expr Case Else`
- `Value Expr Case Simple`
- `Value Expr Case Simple Content When`
- `Value Expr Case Simple Content Result`
- `Value Expr Case Search Content`
- `Like Escape`
- `Value Expr Labeled Duration`
- `Nest`
- `Update Source Expr List`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetBasicLeft(PredicateBasic newBasicLeft, NotificationChain msgs)`
`NotificationChain` `basicSetBasicRight(PredicateBasic newBasicRight, NotificationChain msgs)`
`NotificationChain` `basicSetBetweenLeft(PredicateBetween newBetweenLeft, NotificationChain msgs)`
`NotificationChain` `basicSetBetweenRight1(PredicateBetween newBetweenRight1, NotificationChain msgs)`
`NotificationChain` `basicSetBetweenRight2(PredicateBetween newBetweenRight2, NotificationChain msgs)`
`NotificationChain` `basicSetDataType(DataType newDataType, NotificationChain msgs)`
`NotificationChain` `basicSetGroupingExpr(GroupingExpression newGroupingExpr, NotificationChain msgs)`
`NotificationChain` `basicSetInValueListLeft(PredicateInValueList newInValueListLeft, NotificationChain msgs)`
`NotificationChain` `basicSetInValueListRight(PredicateInValueList newInValueListRight, NotificationChain msgs)`
`NotificationChain` `basicSetInValueRowSelectLeft(PredicateInValueRowSelect newInValueRowSelectLeft, NotificationChain msgs)`
`NotificationChain` `basicSetInValueSelectLeft(PredicateInValueSelect newInValueSelectLeft, NotificationChain msgs)`
`NotificationChain` `basicSetLikeEscape(PredicateLike newLikeEscape, NotificationChain msgs)`
`NotificationChain` `basicSetLikeMatching(PredicateLike newLikeMatching, NotificationChain msgs)`
`NotificationChain` `basicSetLikePattern(PredicateLike newLikePattern, NotificationChain msgs)`
`NotificationChain` `basicSetNest(ValueExpressionNested newNest, NotificationChain msgs)`
`NotificationChain` `basicSetOrderByValueExpr(OrderByValueExpression newOrderByValueExpr, NotificationChain msgs)`
`NotificationChain` `basicSetPredicateNull(PredicateIsNull newPredicateNull, NotificationChain msgs)`
`NotificationChain` `basicSetQuantifiedRowSelectLeft(PredicateQuantifiedRowSelect newQuantifiedRowSelectLeft, NotificationChain msgs)`
`NotificationChain` `basicSetQuantifiedValueSelectLeft(PredicateQuantifiedValueSelect newQuantifiedValueSelectLeft, NotificationChain msgs)`
`NotificationChain` `basicSetResultColumn(ResultColumn newResultColumn, NotificationChain msgs)`
`NotificationChain` `basicSetUpdateSourceExprList(UpdateSourceExprList newUpdateSourceExprList, NotificationChain msgs)`
`NotificationChain` `basicSetValueExprCaseElse(ValueExpressionCaseElse newValueExprCaseElse, NotificationChain msgs)`
`NotificationChain` `basicSetValueExprCaseSearchContent(ValueExpressionCaseSearchContent newValueExprCaseSearchContent, NotificationChain msgs)`
`NotificationChain` `basicSetValueExprCaseSimple(ValueExpressionCaseSimple newValueExprCaseSimple, NotificationChain msgs)`
`NotificationChain` `basicSetValueExprCaseSimpleContentResult(ValueExpressionCaseSimpleContent newValueExprCaseSimpleContentResult, NotificationChain msgs)`
`NotificationChain` `basicSetValueExprCaseSimpleContentWhen(ValueExpressionCaseSimpleContent newValueExprCaseSimpleContentWhen, NotificationChain msgs)`
`NotificationChain` `basicSetValueExprCast(ValueExpressionCast newValueExprCast, NotificationChain msgs)`
`NotificationChain` `basicSetValueExprCombinedLeft(ValueExpressionCombined newValueExprCombinedLeft, NotificationChain msgs)`
`NotificationChain` `basicSetValueExprCombinedRight(ValueExpressionCombined newValueExprCombinedRight, NotificationChain msgs)`
`NotificationChain` `basicSetValueExprFunction(ValueExpressionFunction newValueExprFunction, NotificationChain msgs)`
`NotificationChain` `basicSetValueExprLabeledDuration(ValueExpressionLabeledDuration newValueExprLabeledDuration, NotificationChain msgs)`
`NotificationChain` `basicSetValuesRow(ValuesRow newValuesRow, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`PredicateBasic` `getBasicLeft()`
`PredicateBasic` `getBasicRight()`
`PredicateBetween` `getBetweenLeft()`
`PredicateBetween` `getBetweenRight1()`
`PredicateBetween` `getBetweenRight2()`
`DataType` `getDataType()`
`GroupingExpression` `getGroupingExpr()`
`PredicateInValueList` `getInValueListLeft()`
`PredicateInValueList` `getInValueListRight()`
`PredicateInValueRowSelect` `getInValueRowSelectLeft()`
`PredicateInValueSelect` `getInValueSelectLeft()`
`PredicateLike` `getLikeEscape()`
`PredicateLike` `getLikeMatching()`
`PredicateLike` `getLikePattern()`
`ValueExpressionNested` `getNest()`
`OrderByValueExpression` `getOrderByValueExpr()`
`PredicateIsNull` `getPredicateNull()`
`PredicateQuantifiedRowSelect` `getQuantifiedRowSelectLeft()`
`PredicateQuantifiedValueSelect` `getQuantifiedValueSelectLeft()`
`ResultColumn` `getResultColumn()`
`java.lang.String` `getSQL()`
`ValueExpressionUnaryOperator` `getUnaryOperator()`
`UpdateSourceExprList` `getUpdateSourceExprList()`
`ValueExpressionCaseElse` `getValueExprCaseElse()`
`ValueExpressionCaseSearchContent` `getValueExprCaseSearchContent()`
`ValueExpressionCaseSimple` `getValueExprCaseSimple()`
`ValueExpressionCaseSimpleContent` `getValueExprCaseSimpleContentResult()`
`ValueExpressionCaseSimpleContent` `getValueExprCaseSimpleContentWhen()`
`ValueExpressionCast` `getValueExprCast()`
`ValueExpressionCombined` `getValueExprCombinedLeft()`
`ValueExpressionCombined` `getValueExprCombinedRight()`
`ValueExpressionFunction` `getValueExprFunction()`
`ValueExpressionLabeledDuration` `getValueExprLabeledDuration()`
`ValuesRow` `getValuesRow()`
`void` `setBasicLeft(PredicateBasic newBasicLeft)`
`void` `setBasicRight(PredicateBasic newBasicRight)`
`void` `setBetweenLeft(PredicateBetween newBetweenLeft)`
`void` `setBetweenRight1(PredicateBetween newBetweenRight1)`
`void` `setBetweenRight2(PredicateBetween newBetweenRight2)`
`void` `setDataType(DataType newDataType)`
`void` `setGroupingExpr(GroupingExpression newGroupingExpr)`
`void` `setInValueListLeft(PredicateInValueList newInValueListLeft)`
`void` `setInValueListRight(PredicateInValueList newInValueListRight)`
`void` `setInValueRowSelectLeft(PredicateInValueRowSelect newInValueRowSelectLeft)`
`void` `setInValueSelectLeft(PredicateInValueSelect newInValueSelectLeft)`
`void` `setLikeEscape(PredicateLike newLikeEscape)`
`void` `setLikeMatching(PredicateLike newLikeMatching)`
`void` `setLikePattern(PredicateLike newLikePattern)`
`void` `setNest(ValueExpressionNested newNest)`
`void` `setOrderByValueExpr(OrderByValueExpression newOrderByValueExpr)`
`void` `setPredicateNull(PredicateIsNull newPredicateNull)`
`void` `setQuantifiedRowSelectLeft(PredicateQuantifiedRowSelect newQuantifiedRowSelectLeft)`
`void` `setQuantifiedValueSelectLeft(PredicateQuantifiedValueSelect newQuantifiedValueSelectLeft)`
`void` `setResultColumn(ResultColumn newResultColumn)`
`void` `setUnaryOperator(ValueExpressionUnaryOperator newUnaryOperator)`
`void` `setUpdateSourceExprList(UpdateSourceExprList newUpdateSourceExprList)`
`void` `setValueExprCaseElse(ValueExpressionCaseElse newValueExprCaseElse)`
`void` `setValueExprCaseSearchContent(ValueExpressionCaseSearchContent newValueExprCaseSearchContent)`
`void` `setValueExprCaseSimple(ValueExpressionCaseSimple newValueExprCaseSimple)`
`void` `setValueExprCaseSimpleContentResult(ValueExpressionCaseSimpleContent newValueExprCaseSimpleContentResult)`
`void` `setValueExprCaseSimpleContentWhen(ValueExpressionCaseSimpleContent newValueExprCaseSimpleContentWhen)`
`void` `setValueExprCast(ValueExpressionCast newValueExprCast)`
`void` `setValueExprCombinedLeft(ValueExpressionCombined newValueExprCombinedLeft)`
`void` `setValueExprCombinedRight(ValueExpressionCombined newValueExprCombinedRight)`
`void` `setValueExprFunction(ValueExpressionFunction newValueExprFunction)`
`void` `setValueExprLabeledDuration(ValueExpressionLabeledDuration newValueExprLabeledDuration)`
`void` `setValuesRow(ValuesRow newValuesRow)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`setSQL`

Method Detail

### getUnaryOperator

    public ValueExpressionUnaryOperator getUnaryOperator()

  Specified by:
    `getUnaryOperator` in interface `QueryValueExpression`
  Returns:
    the value of the 'Unary Operator' attribute.
  See Also:
    `ValueExpressionUnaryOperator`, `QueryValueExpression.setUnaryOperator(ValueExpressionUnaryOperator)`, `SQLQueryModelPackage.getQueryValueExpression_UnaryOperator()`

### setUnaryOperator

    public void setUnaryOperator(ValueExpressionUnaryOperator newUnaryOperator)

  Specified by:
    `setUnaryOperator` in interface `QueryValueExpression`
  Parameters:
    `newUnaryOperator` - the new value of the 'Unary Operator' attribute.
  See Also:
    `ValueExpressionUnaryOperator`, `QueryValueExpression.getUnaryOperator()`

### getDataType

    public DataType getDataType()

  Specified by:
    `getDataType` in interface `QueryValueExpression`
  Returns:
    the value of the 'Data Type' containment reference.
  See Also:
    `QueryValueExpression.setDataType(DataType)`, `SQLQueryModelPackage.getQueryValueExpression_DataType()`

### basicSetDataType

    public NotificationChain basicSetDataType(DataType newDataType,
                                              NotificationChain msgs)

### setDataType

    public void setDataType(DataType newDataType)

  Specified by:
    `setDataType` in interface `QueryValueExpression`
  Parameters:
    `newDataType` - the new value of the 'Data Type' containment reference.
  See Also:
    `QueryValueExpression.getDataType()`

### getValuesRow

    public ValuesRow getValuesRow()

  Specified by:
    `getValuesRow` in interface `QueryValueExpression`
  Returns:
    the value of the 'Values Row' container reference.
  See Also:
    `QueryValueExpression.setValuesRow(ValuesRow)`, `SQLQueryModelPackage.getQueryValueExpression_ValuesRow()`, `ValuesRow.getExprList()`

### basicSetValuesRow

    public NotificationChain basicSetValuesRow(ValuesRow newValuesRow,
                                               NotificationChain msgs)

### setValuesRow

    public void setValuesRow(ValuesRow newValuesRow)

  Specified by:
    `setValuesRow` in interface `QueryValueExpression`
  Parameters:
    `newValuesRow` - the new value of the 'Values Row' container reference.
  See Also:
    `QueryValueExpression.getValuesRow()`

### getOrderByValueExpr

    public OrderByValueExpression getOrderByValueExpr()

  Specified by:
    `getOrderByValueExpr` in interface `QueryValueExpression`
  Returns:
    the value of the 'Order By Value Expr' container reference.
  See Also:
    `QueryValueExpression.setOrderByValueExpr(OrderByValueExpression)`, `SQLQueryModelPackage.getQueryValueExpression_OrderByValueExpr()`, `OrderByValueExpression.getValueExpr()`

### basicSetOrderByValueExpr

    public NotificationChain basicSetOrderByValueExpr(OrderByValueExpression newOrderByValueExpr,
                                                      NotificationChain msgs)

### setOrderByValueExpr

    public void setOrderByValueExpr(OrderByValueExpression newOrderByValueExpr)

  Specified by:
    `setOrderByValueExpr` in interface `QueryValueExpression`
  Parameters:
    `newOrderByValueExpr` - the new value of the 'Order By Value Expr' container reference.
  See Also:
    `QueryValueExpression.getOrderByValueExpr()`

### getResultColumn

    public ResultColumn getResultColumn()

  Specified by:
    `getResultColumn` in interface `QueryValueExpression`
  Returns:
    the value of the 'Result Column' container reference.
  See Also:
    `QueryValueExpression.setResultColumn(ResultColumn)`, `SQLQueryModelPackage.getQueryValueExpression_ResultColumn()`, `ResultColumn.getValueExpr()`

### basicSetResultColumn

    public NotificationChain basicSetResultColumn(ResultColumn newResultColumn,
                                                  NotificationChain msgs)

### setResultColumn

    public void setResultColumn(ResultColumn newResultColumn)

  Specified by:
    `setResultColumn` in interface `QueryValueExpression`
  Parameters:
    `newResultColumn` - the new value of the 'Result Column' container reference.
  See Also:
    `QueryValueExpression.getResultColumn()`

### getBasicRight

    public PredicateBasic getBasicRight()

  Specified by:
    `getBasicRight` in interface `QueryValueExpression`
  Returns:
    the value of the 'Basic Right' container reference.
  See Also:
    `QueryValueExpression.setBasicRight(PredicateBasic)`, `SQLQueryModelPackage.getQueryValueExpression_BasicRight()`, `PredicateBasic.getRightValueExpr()`

### basicSetBasicRight

    public NotificationChain basicSetBasicRight(PredicateBasic newBasicRight,
                                                NotificationChain msgs)

### setBasicRight

    public void setBasicRight(PredicateBasic newBasicRight)

  Specified by:
    `setBasicRight` in interface `QueryValueExpression`
  Parameters:
    `newBasicRight` - the new value of the 'Basic Right' container reference.
  See Also:
    `QueryValueExpression.getBasicRight()`

### getBasicLeft

    public PredicateBasic getBasicLeft()

  Specified by:
    `getBasicLeft` in interface `QueryValueExpression`
  Returns:
    the value of the 'Basic Left' container reference.
  See Also:
    `QueryValueExpression.setBasicLeft(PredicateBasic)`, `SQLQueryModelPackage.getQueryValueExpression_BasicLeft()`, `PredicateBasic.getLeftValueExpr()`

### basicSetBasicLeft

    public NotificationChain basicSetBasicLeft(PredicateBasic newBasicLeft,
                                               NotificationChain msgs)

### setBasicLeft

    public void setBasicLeft(PredicateBasic newBasicLeft)

  Specified by:
    `setBasicLeft` in interface `QueryValueExpression`
  Parameters:
    `newBasicLeft` - the new value of the 'Basic Left' container reference.
  See Also:
    `QueryValueExpression.getBasicLeft()`

### getLikePattern

    public PredicateLike getLikePattern()

  Specified by:
    `getLikePattern` in interface `QueryValueExpression`
  Returns:
    the value of the 'Like Pattern' container reference.
  See Also:
    `QueryValueExpression.setLikePattern(PredicateLike)`, `SQLQueryModelPackage.getQueryValueExpression_LikePattern()`, `PredicateLike.getPatternValueExpr()`

### basicSetLikePattern

    public NotificationChain basicSetLikePattern(PredicateLike newLikePattern,
                                                 NotificationChain msgs)

### setLikePattern

    public void setLikePattern(PredicateLike newLikePattern)

  Specified by:
    `setLikePattern` in interface `QueryValueExpression`
  Parameters:
    `newLikePattern` - the new value of the 'Like Pattern' container reference.
  See Also:
    `QueryValueExpression.getLikePattern()`

### getLikeMatching

    public PredicateLike getLikeMatching()

  Specified by:
    `getLikeMatching` in interface `QueryValueExpression`
  Returns:
    the value of the 'Like Matching' container reference.
  See Also:
    `QueryValueExpression.setLikeMatching(PredicateLike)`, `SQLQueryModelPackage.getQueryValueExpression_LikeMatching()`, `PredicateLike.getMatchingValueExpr()`

### basicSetLikeMatching

    public NotificationChain basicSetLikeMatching(PredicateLike newLikeMatching,
                                                  NotificationChain msgs)

### setLikeMatching

    public void setLikeMatching(PredicateLike newLikeMatching)

  Specified by:
    `setLikeMatching` in interface `QueryValueExpression`
  Parameters:
    `newLikeMatching` - the new value of the 'Like Matching' container reference.
  See Also:
    `QueryValueExpression.getLikeMatching()`

### getPredicateNull

    public PredicateIsNull getPredicateNull()

  Specified by:
    `getPredicateNull` in interface `QueryValueExpression`
  Returns:
    the value of the 'Predicate Null' container reference.
  See Also:
    `QueryValueExpression.setPredicateNull(PredicateIsNull)`, `SQLQueryModelPackage.getQueryValueExpression_PredicateNull()`, `PredicateIsNull.getValueExpr()`

### basicSetPredicateNull

    public NotificationChain basicSetPredicateNull(PredicateIsNull newPredicateNull,
                                                   NotificationChain msgs)

### setPredicateNull

    public void setPredicateNull(PredicateIsNull newPredicateNull)

  Specified by:
    `setPredicateNull` in interface `QueryValueExpression`
  Parameters:
    `newPredicateNull` - the new value of the 'Predicate Null' container reference.
  See Also:
    `QueryValueExpression.getPredicateNull()`

### getInValueListRight

    public PredicateInValueList getInValueListRight()

  Specified by:
    `getInValueListRight` in interface `QueryValueExpression`
  Returns:
    the value of the 'In Value List Right' container reference.
  See Also:
    `QueryValueExpression.setInValueListRight(PredicateInValueList)`, `SQLQueryModelPackage.getQueryValueExpression_InValueListRight()`, `PredicateInValueList.getValueExprList()`

### basicSetInValueListRight

    public NotificationChain basicSetInValueListRight(PredicateInValueList newInValueListRight,
                                                      NotificationChain msgs)

### setInValueListRight

    public void setInValueListRight(PredicateInValueList newInValueListRight)

  Specified by:
    `setInValueListRight` in interface `QueryValueExpression`
  Parameters:
    `newInValueListRight` - the new value of the 'In Value List Right' container reference.
  See Also:
    `QueryValueExpression.getInValueListRight()`

### getInValueListLeft

    public PredicateInValueList getInValueListLeft()

  Specified by:
    `getInValueListLeft` in interface `QueryValueExpression`
  Returns:
    the value of the 'In Value List Left' container reference.
  See Also:
    `QueryValueExpression.setInValueListLeft(PredicateInValueList)`, `SQLQueryModelPackage.getQueryValueExpression_InValueListLeft()`, `PredicateInValueList.getValueExpr()`

### basicSetInValueListLeft

    public NotificationChain basicSetInValueListLeft(PredicateInValueList newInValueListLeft,
                                                     NotificationChain msgs)

### setInValueListLeft

    public void setInValueListLeft(PredicateInValueList newInValueListLeft)

  Specified by:
    `setInValueListLeft` in interface `QueryValueExpression`
  Parameters:
    `newInValueListLeft` - the new value of the 'In Value List Left' container reference.
  See Also:
    `QueryValueExpression.getInValueListLeft()`

### getInValueRowSelectLeft

    public PredicateInValueRowSelect getInValueRowSelectLeft()

  Specified by:
    `getInValueRowSelectLeft` in interface `QueryValueExpression`
  Returns:
    the value of the 'In Value Row Select Left' container reference.
  See Also:
    `QueryValueExpression.setInValueRowSelectLeft(PredicateInValueRowSelect)`, `SQLQueryModelPackage.getQueryValueExpression_InValueRowSelectLeft()`, `PredicateInValueRowSelect.getValueExprList()`

### basicSetInValueRowSelectLeft

    public NotificationChain basicSetInValueRowSelectLeft(PredicateInValueRowSelect newInValueRowSelectLeft,
                                                          NotificationChain msgs)

### setInValueRowSelectLeft

    public void setInValueRowSelectLeft(PredicateInValueRowSelect newInValueRowSelectLeft)

  Specified by:
    `setInValueRowSelectLeft` in interface `QueryValueExpression`
  Parameters:
    `newInValueRowSelectLeft` - the new value of the 'In Value Row Select Left' container reference.
  See Also:
    `QueryValueExpression.getInValueRowSelectLeft()`

### getInValueSelectLeft

    public PredicateInValueSelect getInValueSelectLeft()

  Specified by:
    `getInValueSelectLeft` in interface `QueryValueExpression`
  Returns:
    the value of the 'In Value Select Left' container reference.
  See Also:
    `QueryValueExpression.setInValueSelectLeft(PredicateInValueSelect)`, `SQLQueryModelPackage.getQueryValueExpression_InValueSelectLeft()`, `PredicateInValueSelect.getValueExpr()`

### basicSetInValueSelectLeft

    public NotificationChain basicSetInValueSelectLeft(PredicateInValueSelect newInValueSelectLeft,
                                                       NotificationChain msgs)

### setInValueSelectLeft

    public void setInValueSelectLeft(PredicateInValueSelect newInValueSelectLeft)

  Specified by:
    `setInValueSelectLeft` in interface `QueryValueExpression`
  Parameters:
    `newInValueSelectLeft` - the new value of the 'In Value Select Left' container reference.
  See Also:
    `QueryValueExpression.getInValueSelectLeft()`

### getQuantifiedRowSelectLeft

    public PredicateQuantifiedRowSelect getQuantifiedRowSelectLeft()

  Specified by:
    `getQuantifiedRowSelectLeft` in interface `QueryValueExpression`
  Returns:
    the value of the 'Quantified Row Select Left' container reference.
  See Also:
    `QueryValueExpression.setQuantifiedRowSelectLeft(PredicateQuantifiedRowSelect)`, `SQLQueryModelPackage.getQueryValueExpression_QuantifiedRowSelectLeft()`, `PredicateQuantifiedRowSelect.getValueExprList()`

### basicSetQuantifiedRowSelectLeft

    public NotificationChain basicSetQuantifiedRowSelectLeft(PredicateQuantifiedRowSelect newQuantifiedRowSelectLeft,
                                                             NotificationChain msgs)

### setQuantifiedRowSelectLeft

    public void setQuantifiedRowSelectLeft(PredicateQuantifiedRowSelect newQuantifiedRowSelectLeft)

  Specified by:
    `setQuantifiedRowSelectLeft` in interface `QueryValueExpression`
  Parameters:
    `newQuantifiedRowSelectLeft` - the new value of the 'Quantified Row Select Left' container reference.
  See Also:
    `QueryValueExpression.getQuantifiedRowSelectLeft()`

### getQuantifiedValueSelectLeft

    public PredicateQuantifiedValueSelect getQuantifiedValueSelectLeft()

  Specified by:
    `getQuantifiedValueSelectLeft` in interface `QueryValueExpression`
  Returns:
    the value of the 'Quantified Value Select Left' container reference.
  See Also:
    `QueryValueExpression.setQuantifiedValueSelectLeft(PredicateQuantifiedValueSelect)`, `SQLQueryModelPackage.getQueryValueExpression_QuantifiedValueSelectLeft()`, `PredicateQuantifiedValueSelect.getValueExpr()`

### basicSetQuantifiedValueSelectLeft

    public NotificationChain basicSetQuantifiedValueSelectLeft(PredicateQuantifiedValueSelect newQuantifiedValueSelectLeft,
                                                               NotificationChain msgs)

### setQuantifiedValueSelectLeft

    public void setQuantifiedValueSelectLeft(PredicateQuantifiedValueSelect newQuantifiedValueSelectLeft)

  Specified by:
    `setQuantifiedValueSelectLeft` in interface `QueryValueExpression`
  Parameters:
    `newQuantifiedValueSelectLeft` - the new value of the 'Quantified Value Select Left' container reference.
  See Also:
    `QueryValueExpression.getQuantifiedValueSelectLeft()`

### getBetweenLeft

    public PredicateBetween getBetweenLeft()

  Specified by:
    `getBetweenLeft` in interface `QueryValueExpression`
  Returns:
    the value of the 'Between Left' container reference.
  See Also:
    `QueryValueExpression.setBetweenLeft(PredicateBetween)`, `SQLQueryModelPackage.getQueryValueExpression_BetweenLeft()`, `PredicateBetween.getLeftValueExpr()`

### basicSetBetweenLeft

    public NotificationChain basicSetBetweenLeft(PredicateBetween newBetweenLeft,
                                                 NotificationChain msgs)

### setBetweenLeft

    public void setBetweenLeft(PredicateBetween newBetweenLeft)

  Specified by:
    `setBetweenLeft` in interface `QueryValueExpression`
  Parameters:
    `newBetweenLeft` - the new value of the 'Between Left' container reference.
  See Also:
    `QueryValueExpression.getBetweenLeft()`

### getBetweenRight1

    public PredicateBetween getBetweenRight1()

  Specified by:
    `getBetweenRight1` in interface `QueryValueExpression`
  Returns:
    the value of the 'Between Right1' container reference.
  See Also:
    `QueryValueExpression.setBetweenRight1(PredicateBetween)`, `SQLQueryModelPackage.getQueryValueExpression_BetweenRight1()`, `PredicateBetween.getRightValueExpr1()`

### basicSetBetweenRight1

    public NotificationChain basicSetBetweenRight1(PredicateBetween newBetweenRight1,
                                                   NotificationChain msgs)

### setBetweenRight1

    public void setBetweenRight1(PredicateBetween newBetweenRight1)

  Specified by:
    `setBetweenRight1` in interface `QueryValueExpression`
  Parameters:
    `newBetweenRight1` - the new value of the 'Between Right1' container reference.
  See Also:
    `QueryValueExpression.getBetweenRight1()`

### getBetweenRight2

    public PredicateBetween getBetweenRight2()

  Specified by:
    `getBetweenRight2` in interface `QueryValueExpression`
  Returns:
    the value of the 'Between Right2' container reference.
  See Also:
    `QueryValueExpression.setBetweenRight2(PredicateBetween)`, `SQLQueryModelPackage.getQueryValueExpression_BetweenRight2()`, `PredicateBetween.getRightValueExpr2()`

### basicSetBetweenRight2

    public NotificationChain basicSetBetweenRight2(PredicateBetween newBetweenRight2,
                                                   NotificationChain msgs)

### setBetweenRight2

    public void setBetweenRight2(PredicateBetween newBetweenRight2)

  Specified by:
    `setBetweenRight2` in interface `QueryValueExpression`
  Parameters:
    `newBetweenRight2` - the new value of the 'Between Right2' container reference.
  See Also:
    `QueryValueExpression.getBetweenRight2()`

### getValueExprCast

    public ValueExpressionCast getValueExprCast()

  Specified by:
    `getValueExprCast` in interface `QueryValueExpression`
  Returns:
    the value of the 'Value Expr Cast' container reference.
  See Also:
    `QueryValueExpression.setValueExprCast(ValueExpressionCast)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCast()`, `ValueExpressionCast.getValueExpr()`

### basicSetValueExprCast

    public NotificationChain basicSetValueExprCast(ValueExpressionCast newValueExprCast,
                                                   NotificationChain msgs)

### setValueExprCast

    public void setValueExprCast(ValueExpressionCast newValueExprCast)

  Specified by:
    `setValueExprCast` in interface `QueryValueExpression`
  Parameters:
    `newValueExprCast` - the new value of the 'Value Expr Cast' container reference.
  See Also:
    `QueryValueExpression.getValueExprCast()`

### getValueExprFunction

    public ValueExpressionFunction getValueExprFunction()

  Specified by:
    `getValueExprFunction` in interface `QueryValueExpression`
  Returns:
    the value of the 'Value Expr Function' container reference.
  See Also:
    `QueryValueExpression.setValueExprFunction(ValueExpressionFunction)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprFunction()`, `ValueExpressionFunction.getParameterList()`

### basicSetValueExprFunction

    public NotificationChain basicSetValueExprFunction(ValueExpressionFunction newValueExprFunction,
                                                       NotificationChain msgs)

### setValueExprFunction

    public void setValueExprFunction(ValueExpressionFunction newValueExprFunction)

  Specified by:
    `setValueExprFunction` in interface `QueryValueExpression`
  Parameters:
    `newValueExprFunction` - the new value of the 'Value Expr Function' container reference.
  See Also:
    `QueryValueExpression.getValueExprFunction()`

### getValueExprCombinedLeft

    public ValueExpressionCombined getValueExprCombinedLeft()

  Specified by:
    `getValueExprCombinedLeft` in interface `QueryValueExpression`
  Returns:
    the value of the 'Value Expr Combined Left' container reference.
  See Also:
    `QueryValueExpression.setValueExprCombinedLeft(ValueExpressionCombined)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCombinedLeft()`, `ValueExpressionCombined.getLeftValueExpr()`

### basicSetValueExprCombinedLeft

    public NotificationChain basicSetValueExprCombinedLeft(ValueExpressionCombined newValueExprCombinedLeft,
                                                           NotificationChain msgs)

### setValueExprCombinedLeft

    public void setValueExprCombinedLeft(ValueExpressionCombined newValueExprCombinedLeft)

  Specified by:
    `setValueExprCombinedLeft` in interface `QueryValueExpression`
  Parameters:
    `newValueExprCombinedLeft` - the new value of the 'Value Expr Combined Left' container reference.
  See Also:
    `QueryValueExpression.getValueExprCombinedLeft()`

### getValueExprCombinedRight

    public ValueExpressionCombined getValueExprCombinedRight()

  Specified by:
    `getValueExprCombinedRight` in interface `QueryValueExpression`
  Returns:
    the value of the 'Value Expr Combined Right' container reference.
  See Also:
    `QueryValueExpression.setValueExprCombinedRight(ValueExpressionCombined)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCombinedRight()`, `ValueExpressionCombined.getRightValueExpr()`

### basicSetValueExprCombinedRight

    public NotificationChain basicSetValueExprCombinedRight(ValueExpressionCombined newValueExprCombinedRight,
                                                            NotificationChain msgs)

### setValueExprCombinedRight

    public void setValueExprCombinedRight(ValueExpressionCombined newValueExprCombinedRight)

  Specified by:
    `setValueExprCombinedRight` in interface `QueryValueExpression`
  Parameters:
    `newValueExprCombinedRight` - the new value of the 'Value Expr Combined Right' container reference.
  See Also:
    `QueryValueExpression.getValueExprCombinedRight()`

### getGroupingExpr

    public GroupingExpression getGroupingExpr()

  Specified by:
    `getGroupingExpr` in interface `QueryValueExpression`
  Returns:
    the value of the 'Grouping Expr' container reference.
  See Also:
    `QueryValueExpression.setGroupingExpr(GroupingExpression)`, `SQLQueryModelPackage.getQueryValueExpression_GroupingExpr()`, `GroupingExpression.getValueExpr()`

### basicSetGroupingExpr

    public NotificationChain basicSetGroupingExpr(GroupingExpression newGroupingExpr,
                                                  NotificationChain msgs)

### setGroupingExpr

    public void setGroupingExpr(GroupingExpression newGroupingExpr)

  Specified by:
    `setGroupingExpr` in interface `QueryValueExpression`
  Parameters:
    `newGroupingExpr` - the new value of the 'Grouping Expr' container reference.
  See Also:
    `QueryValueExpression.getGroupingExpr()`

### getValueExprCaseElse

    public ValueExpressionCaseElse getValueExprCaseElse()

  Specified by:
    `getValueExprCaseElse` in interface `QueryValueExpression`
  Returns:
    the value of the 'Value Expr Case Else' container reference.
  See Also:
    `QueryValueExpression.setValueExprCaseElse(ValueExpressionCaseElse)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCaseElse()`, `ValueExpressionCaseElse.getValueExpr()`

### basicSetValueExprCaseElse

    public NotificationChain basicSetValueExprCaseElse(ValueExpressionCaseElse newValueExprCaseElse,
                                                       NotificationChain msgs)

### setValueExprCaseElse

    public void setValueExprCaseElse(ValueExpressionCaseElse newValueExprCaseElse)

  Specified by:
    `setValueExprCaseElse` in interface `QueryValueExpression`
  Parameters:
    `newValueExprCaseElse` - the new value of the 'Value Expr Case Else' container reference.
  See Also:
    `QueryValueExpression.getValueExprCaseElse()`

### getValueExprCaseSimple

    public ValueExpressionCaseSimple getValueExprCaseSimple()

  Specified by:
    `getValueExprCaseSimple` in interface `QueryValueExpression`
  Returns:
    the value of the 'Value Expr Case Simple' container reference.
  See Also:
    `QueryValueExpression.setValueExprCaseSimple(ValueExpressionCaseSimple)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCaseSimple()`, `ValueExpressionCaseSimple.getValueExpr()`

### basicSetValueExprCaseSimple

    public NotificationChain basicSetValueExprCaseSimple(ValueExpressionCaseSimple newValueExprCaseSimple,
                                                         NotificationChain msgs)

### setValueExprCaseSimple

    public void setValueExprCaseSimple(ValueExpressionCaseSimple newValueExprCaseSimple)

  Specified by:
    `setValueExprCaseSimple` in interface `QueryValueExpression`
  Parameters:
    `newValueExprCaseSimple` - the new value of the 'Value Expr Case Simple' container reference.
  See Also:
    `QueryValueExpression.getValueExprCaseSimple()`

### getValueExprCaseSimpleContentWhen

    public ValueExpressionCaseSimpleContent getValueExprCaseSimpleContentWhen()

  Specified by:
    `getValueExprCaseSimpleContentWhen` in interface `QueryValueExpression`
  Returns:
    the value of the 'Value Expr Case Simple Content When' container reference.
  See Also:
    `QueryValueExpression.setValueExprCaseSimpleContentWhen(ValueExpressionCaseSimpleContent)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCaseSimpleContentWhen()`, `ValueExpressionCaseSimpleContent.getWhenValueExpr()`

### basicSetValueExprCaseSimpleContentWhen

    public NotificationChain basicSetValueExprCaseSimpleContentWhen(ValueExpressionCaseSimpleContent newValueExprCaseSimpleContentWhen,
                                                                    NotificationChain msgs)

### setValueExprCaseSimpleContentWhen

    public void setValueExprCaseSimpleContentWhen(ValueExpressionCaseSimpleContent newValueExprCaseSimpleContentWhen)

  Specified by:
    `setValueExprCaseSimpleContentWhen` in interface `QueryValueExpression`
  Parameters:
    `newValueExprCaseSimpleContentWhen` - the new value of the 'Value Expr Case Simple Content When' container reference.
  See Also:
    `QueryValueExpression.getValueExprCaseSimpleContentWhen()`

### getValueExprCaseSimpleContentResult

    public ValueExpressionCaseSimpleContent getValueExprCaseSimpleContentResult()

  Specified by:
    `getValueExprCaseSimpleContentResult` in interface `QueryValueExpression`
  Returns:
    the value of the 'Value Expr Case Simple Content Result' container reference.
  See Also:
    `QueryValueExpression.setValueExprCaseSimpleContentResult(ValueExpressionCaseSimpleContent)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCaseSimpleContentResult()`, `ValueExpressionCaseSimpleContent.getResultValueExpr()`

### basicSetValueExprCaseSimpleContentResult

    public NotificationChain basicSetValueExprCaseSimpleContentResult(ValueExpressionCaseSimpleContent newValueExprCaseSimpleContentResult,
                                                                      NotificationChain msgs)

### setValueExprCaseSimpleContentResult

    public void setValueExprCaseSimpleContentResult(ValueExpressionCaseSimpleContent newValueExprCaseSimpleContentResult)

  Specified by:
    `setValueExprCaseSimpleContentResult` in interface `QueryValueExpression`
  Parameters:
    `newValueExprCaseSimpleContentResult` - the new value of the 'Value Expr Case Simple Content Result' container reference.
  See Also:
    `QueryValueExpression.getValueExprCaseSimpleContentResult()`

### getValueExprCaseSearchContent

    public ValueExpressionCaseSearchContent getValueExprCaseSearchContent()

  Specified by:
    `getValueExprCaseSearchContent` in interface `QueryValueExpression`
  Returns:
    the value of the 'Value Expr Case Search Content' container reference.
  See Also:
    `QueryValueExpression.setValueExprCaseSearchContent(ValueExpressionCaseSearchContent)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprCaseSearchContent()`, `ValueExpressionCaseSearchContent.getValueExpr()`

### basicSetValueExprCaseSearchContent

    public NotificationChain basicSetValueExprCaseSearchContent(ValueExpressionCaseSearchContent newValueExprCaseSearchContent,
                                                                NotificationChain msgs)

### setValueExprCaseSearchContent

    public void setValueExprCaseSearchContent(ValueExpressionCaseSearchContent newValueExprCaseSearchContent)

  Specified by:
    `setValueExprCaseSearchContent` in interface `QueryValueExpression`
  Parameters:
    `newValueExprCaseSearchContent` - the new value of the 'Value Expr Case Search Content' container reference.
  See Also:
    `QueryValueExpression.getValueExprCaseSearchContent()`

### getLikeEscape

    public PredicateLike getLikeEscape()

  Specified by:
    `getLikeEscape` in interface `QueryValueExpression`
  Returns:
    the value of the 'Like Escape' container reference.
  See Also:
    `QueryValueExpression.setLikeEscape(PredicateLike)`, `SQLQueryModelPackage.getQueryValueExpression_LikeEscape()`, `PredicateLike.getEscapeValueExpr()`

### basicSetLikeEscape

    public NotificationChain basicSetLikeEscape(PredicateLike newLikeEscape,
                                                NotificationChain msgs)

### setLikeEscape

    public void setLikeEscape(PredicateLike newLikeEscape)

  Specified by:
    `setLikeEscape` in interface `QueryValueExpression`
  Parameters:
    `newLikeEscape` - the new value of the 'Like Escape' container reference.
  See Also:
    `QueryValueExpression.getLikeEscape()`

### getValueExprLabeledDuration

    public ValueExpressionLabeledDuration getValueExprLabeledDuration()

  Specified by:
    `getValueExprLabeledDuration` in interface `QueryValueExpression`
  Returns:
    the value of the 'Value Expr Labeled Duration' container reference.
  See Also:
    `QueryValueExpression.setValueExprLabeledDuration(ValueExpressionLabeledDuration)`, `SQLQueryModelPackage.getQueryValueExpression_ValueExprLabeledDuration()`, `ValueExpressionLabeledDuration.getValueExpr()`

### basicSetValueExprLabeledDuration

    public NotificationChain basicSetValueExprLabeledDuration(ValueExpressionLabeledDuration newValueExprLabeledDuration,
                                                              NotificationChain msgs)

### setValueExprLabeledDuration

    public void setValueExprLabeledDuration(ValueExpressionLabeledDuration newValueExprLabeledDuration)

  Specified by:
    `setValueExprLabeledDuration` in interface `QueryValueExpression`
  Parameters:
    `newValueExprLabeledDuration` - the new value of the 'Value Expr Labeled Duration' container reference.
  See Also:
    `QueryValueExpression.getValueExprLabeledDuration()`

### getNest

    public ValueExpressionNested getNest()

  Specified by:
    `getNest` in interface `QueryValueExpression`
  Returns:
    the value of the 'Nest' container reference.
  See Also:
    `QueryValueExpression.setNest(ValueExpressionNested)`, `SQLQueryModelPackage.getQueryValueExpression_Nest()`, `ValueExpressionNested.getNestedValueExpr()`

### basicSetNest

    public NotificationChain basicSetNest(ValueExpressionNested newNest,
                                          NotificationChain msgs)

### setNest

    public void setNest(ValueExpressionNested newNest)

  Specified by:
    `setNest` in interface `QueryValueExpression`
  Parameters:
    `newNest` - the new value of the 'Nest' container reference.
  See Also:
    `QueryValueExpression.getNest()`

### getUpdateSourceExprList

    public UpdateSourceExprList getUpdateSourceExprList()

  Specified by:
    `getUpdateSourceExprList` in interface `QueryValueExpression`
  Returns:
    the value of the 'Update Source Expr List' container reference.
  See Also:
    `QueryValueExpression.setUpdateSourceExprList(UpdateSourceExprList)`, `SQLQueryModelPackage.getQueryValueExpression_UpdateSourceExprList()`, `UpdateSourceExprList.getValueExprList()`

### basicSetUpdateSourceExprList

    public NotificationChain basicSetUpdateSourceExprList(UpdateSourceExprList newUpdateSourceExprList,
                                                          NotificationChain msgs)

### setUpdateSourceExprList

    public void setUpdateSourceExprList(UpdateSourceExprList newUpdateSourceExprList)

  Specified by:
    `setUpdateSourceExprList` in interface `QueryValueExpression`
  Parameters:
    `newUpdateSourceExprList` - the new value of the 'Update Source Expr List' container reference.
  See Also:
    `QueryValueExpression.getUpdateSourceExprList()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### getSQL

    public java.lang.String getSQL()

  Specified by:
    `getSQL` in interface `SQLQueryObject`
  Overrides:
    `getSQL` in class `SQLQueryObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.